public class A2a_ZeichneN
{
    /**
     * Zeichnet Buchstabe N mit per Parameter gegebener Zeilenanzahl. <br>
     * <pre>
     * |\ |
     * | \|  für Höhe 2.
     * </pre>
     */
    public void zeichne(int hoehe) {
        if (hoehe < 1 || hoehe > 20) {
            System.out.println("FEHLER in 'zeichne(..)' - hoehe außerhalb 1..20: " + hoehe);
        } else {
            // Zeilenweise Ausgabe:
            for (int i = 0; i < hoehe; i++) {
                System.out.print('|');          // | ganz links
                horizBar(' ', i);               // Leerzeichen zwischen | und \
                System.out.print('\\');         // \
                horizBar(' ', hoehe - i - 1);   // Leerzeichen zwischen \ und |
                System.out.println('|');        // | ganz rechts, hinterher Zeilenschaltung
            }
        }
        System.out.println();                   // Leerzeile nach dem N
    }

    /**
     * Erzeugt einen 'Balken' von Zeichen in einer Zeile. <br>
     * Z.B. für {@code horizBar('*', 3)}: '***' 
     */
    public void horizBar(char ch, int breite) {
        for (int i = 0; i < breite; i++) {
            System.out.print(ch);
        }
    }
}
