public class A2b_ZeichnenV
{
    /**
     * Zeichnet Buchstabe V mit per Parameter gegebener Zeilenanzahl. <br>
     * <pre>
     * \  /
     *  \/  für Höhe 2.
     * </pre>
     */
    public void zeichne(int hoehe) {
        if (hoehe < 1 || hoehe > 20) {
            System.out.println("FEHLER in 'zeichne(..)' - hoehe außerhalb 1..20: " + hoehe);
        } else {
            for (int i = 0; i < hoehe; i++) {
                horizBar(' ', i);
                System.out.print('\\');
                horizBar(' ', 2*(hoehe - i - 1));
                System.out.print('/');
                System.out.println();
            }
        }
        System.out.println();
    }

    /**
     * Erzeugt einen 'Balken' von Zeichen in einer Zeile. <br>
     * Z.B. für {@code horizBar('*', 3)}: '***' 
     */
    public void horizBar(char ch, int breite) {
        for (int i = 0; i < breite; i++) {
            System.out.print(ch);
        }
    }
}
